cc.funkemunky.api.tinyprotocol.packet.types

## Class Vec3D

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject
  - - cc.funkemunky.api.tinyprotocol.packet.types.Vec3D

    public class Vec3D
    extends NMSObject

### Nested Class Summary

### Nested classes/interfaces inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`NMSObject.Client, NMSObject.Server, NMSObject.Type`

### Field Summary

Fields
`double` `a`
`double` `b`
`double` `c`

### Constructor Summary

Constructors
Constructor and Description
`Vec3D(BaseBlockPosition var1)`
`Vec3D(double var1, double var3, double var5)`
`Vec3D(java.lang.Object obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Vec3D` `a()`
`Vec3D` `a(double var1, double var3, double var5)`
`Vec3D` `a(float var1)`
`Vec3D` `a(Vec3D var1, double var2)`
`Vec3D` `add(double var1, double var3, double var5)`
`double` `b()`
`Vec3D` `b(float var1)`
`double` `b(Vec3D var1)`
`Vec3D` `b(Vec3D var1, double var2)`
`Vec3D` `c(Vec3D var1, double var2)`
`Vec3D` `d(Vec3D var1)`
`double` `distanceSquared(Vec3D var1)`
`Vec3D` `e(Vec3D var1)`
`java.lang.String` `toString()`

### Methods inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`construct, construct, construct, fetch, fetch, fetchField, fetchField, fetchFieldByName, getPacketName, process, setPacket, setPacket, setPacketArg, toBukkitStack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### a

    public final double a

#### b

    public final double b

#### c

    public final double c

### Constructor Detail

#### Vec3D

    public Vec3D(java.lang.Object obj)

#### Vec3D

    public Vec3D(double var1,
                 double var3,
                 double var5)

#### Vec3D

    public Vec3D(BaseBlockPosition var1)

### Method Detail

#### a

    public Vec3D a()

#### b

    public double b(Vec3D var1)

#### d

    public Vec3D d(Vec3D var1)

#### a

    public Vec3D a(double var1,
                   double var3,
                   double var5)

#### e

    public Vec3D e(Vec3D var1)

#### add

    public Vec3D add(double var1,
                     double var3,
                     double var5)

#### distanceSquared

    public double distanceSquared(Vec3D var1)

#### b

    public double b()

#### a

    public Vec3D a(Vec3D var1,
                   double var2)

#### b

    public Vec3D b(Vec3D var1,
                   double var2)

#### c

    public Vec3D c(Vec3D var1,
                   double var2)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### a

    public Vec3D a(float var1)

#### b

    public Vec3D b(float var1)